Tuesday, September 27, 2011

WebLogic patch conflicts

Today I was trying to apply some patches to WLS 10.3,
and the bsu told me:

2RCP Failed Validation:

At least one conflict condition has been detected. You must resolve all conflicts before the selected patch can be applied.

Selected patch cannot coexist with the existing patch(es) shown and already applied. Remove the existing patch(es) and try again.


Googling around I find this explanation. In reality there is no clue on why they conflict, and which patch should supercede the other...

Well, first of all I have learned that you better shut down all your servers, otherwise you get a nasty error message while removing the patch, something like "unable to create the backup of the patch you were removing".

No comments: